> For the complete documentation index, see [llms.txt](https://docs.zapsign.com.br/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zapsign.com.br/consultar-check.md).

# Consultar Check

Este endpoint permite verificar o status da consulta e, caso esteja concluída, é possível obter o PDF com os resultados da verificação.

**GET** `https://api.zapsign.com.br/api/v1/checks/{{check_id}}/`&#x20;

### **Parâmetros de Path**

<table><thead><tr><th width="167">Nome</th><th width="130">Tipo</th><th>Descrição</th></tr></thead><tbody><tr><td>check_id</td><td>string</td><td>Identificador da consulta</td></tr></tbody></table>

### **Header**

<table><thead><tr><th width="155">Nome</th><th width="118">Tipo</th><th>Descrição</th></tr></thead><tbody><tr><td>Authorization*</td><td>string</td><td>Token da API com o prefixo "Bearer". Ex: <code>Bearer c7f35c84-7893-4087-b4fb-d1f06c23</code></td></tr></tbody></table>

### **Status do check**

* `not_started`: A consulta está na fila e a coleta de dados ainda não começou.
* `in_progress`: As informações começaram a ser coletadas, mas algumas fontes de dados ainda não foram finalizadas.
* `delayed`: Uma ou mais fontes de dados estão levando mais tempo que o esperado para concluir. A maioria já foi finalizada.
* `error`: A consulta foi finalizada, mas mais de 30% das fontes de dados retornaram erro.
* `completed`: 70% ou mais das fontes de dados foram finalizadas ou a maioria não terminou com erro.

Response

{% tabs %}
{% tab title="200 - sucesso" %}

```json
{
    "check_id": "CHK41dd253a3e9c018f3d4ee062ac98b091",
    "status": "completed",
    "company_name": "",
    "full_name": "MARIA",
    "last_name": "PEREZ",
    "date_of_birth": null,
    "issue_date": null,
    "national_id": "11111111",
    "passport": "",
    "native_national_id": "",
    "pep": "",
    "ptp": "",
    "foreign_id": "",
    "tax_id": "",
    "country": "CO",
    "native_country": "",
    "check_type": "person",
    "lang": "en",
    "region": "",
    "pdf_report": {
        "status": "completed",
        "url": "https://zapsign.s3.amazonaws.com/2025/4/truora/92001eac-2d94-4115-95d9-ef205693a7d0.pdf?AWSAccessKeyId=AKIASSSZJ7JCTI2ZRGWX&Signature=VddqJfz0B64a9VcWeeewDp8Gca4%3D&Expires=1743787456"
    },
    "created_at": "2025-04-02T20:09:47.017891Z",
    "last_update_at": "2025-04-02T20:24:15.872207Z"
}
```

{% endtab %}

{% tab title="404 - Não encontrado" %}

```html
Background check not found.
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.zapsign.com.br/consultar-check.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
